<div class="example-container mat-elevation-z8">
    <div class="example-loading-shade" *ngIf="isLoadingResults">
        <mat-spinner *ngIf="isLoadingResults"></mat-spinner>
    </div>
    <div class="button-row">
        <a mat-flat-button color="primary" [routerLink]="['/books']">
            <mat-icon>list</mat-icon>
        </a>
    </div>
    <mat-card class="example-card">
        <form [formGroup]="bookForm" #f="ngForm" (ngSubmit)="onSubmit(f)" novalidate>
            <mat-form-field class="example-full-width">
                <input matInput placeholder="ISBN" formControlName="isbn" [errorStateMatcher]="matcher">
                <mat-error>
                    <span *ngIf="!bookForm.get('isbn').valid && bookForm.get('isbn').touched">Please enter ISBN</span>
                </mat-error>
            </mat-form-field>
            <mat-form-field class="example-full-width">
                <input matInput placeholder="Title" formControlName="title" [errorStateMatcher]="matcher">
                <mat-error>
                    <span *ngIf="!bookForm.get('title').valid && bookForm.get('title').touched">Please enter Title</span>
                </mat-error>
            </mat-form-field>
            <mat-form-field class="example-full-width">
                <input matInput placeholder="Author" formControlName="author" [errorStateMatcher]="matcher">
                <mat-error>
                    <span *ngIf="!bookForm.get('author').valid && bookForm.get('author').touched">Please enter Author</span>
                </mat-error>
            </mat-form-field>
            <mat-form-field class="example-full-width">
                <textarea matInput placeholder="Description" formControlName="description" [errorStateMatcher]="matcher"></textarea>
                <mat-error>
                    <span *ngIf="!bookForm.get('description').valid && bookForm.get('description').touched">Please enter Description</span>
                </mat-error>
            </mat-form-field>
            <mat-form-field class="example-full-width">
                <input matInput placeholder="Publisher" formControlName="publisher" [errorStateMatcher]="matcher">
                <mat-error>
                    <span *ngIf="!bookForm.get('publisher').valid && bookForm.get('publisher').touched">Please enter Publisher</span>
                </mat-error>
            </mat-form-field>
            <mat-form-field class="example-full-width">
                <input matInput placeholder="Published Year" type="number" formControlName="publishedYear" [errorStateMatcher]="matcher">
                <mat-error>
                    <span *ngIf="!bookForm.get('publishedYear').valid && bookForm.get('publishedYear').touched">Please enter Published Year</span>
                </mat-error>
            </mat-form-field>
            <div class="button-row">
                <button type="submit" [disabled]="!bookForm.valid" mat-flat-button color="primary"><mat-icon>save</mat-icon></button>
            </div>
        </form>
    </mat-card>
</div>